# create generic
# v2.0 24/04/05
# global search and replace 'generic' with your new document name (with no spaces)
# (you must have a suitable folder for it, containing a collation script)

# Prepare source files
######################
echo "# generic"
cd generic

# combine sections
echo "generic sections"
./generic_sections.sh

# split master file into staff file
echo "split generic"
awk -f ../scripts/split.awk generic.fmt STAFF > generic_fat.fmt
# alternative split options
awk -f ../scripts/split.awk generic.fmt staff > generic_staff.fmt
awk -f ../scripts/split.awk generic.fmt team > generic_team.fmt

# set new filestamps to that of master file
touch -r generic.fmt generic_staff.fmt
touch -r generic.fmt generic_fat.fmt
touch -r generic.fmt generic_team.fmt

echo


# Create PostScript generics
#############################
# Online & print generics
echo "Create PostScript generics"

# create A4 notelet
echo "create generic_ol.ps"
awk -f ../scripts/bullets.awk generic_fat.fmt A4 spine > generic_ol.ps

# create A4 book
echo "create generic_bk.ps"
awk -f ../scripts/bullets.awk generic_fat.fmt a4 spine > generic_bk.ps

# create A5 Filofax Clipbook binding
echo "create generic_f5.ps"
awk -f ../scripts/bullets.awk generic_fat.fmt F5 spine > generic_f5.ps

# create A6 notelet (6-hole, 1.5" gap)
echo "create generic_a6.ps"
awk -f ../scripts/bullets.awk generic_fat.fmt A6 spine > generic_a6.ps

# create Filofax PocketA 6-hole notelet
echo "create generic_p6.ps"
awk -f ../scripts/bullets.awk generic_fat.fmt P6 spine > generic_p6.ps

echo


# Run imposition scripts
#############################
echo "Run imposition scripts"

# create generic_f5_2x2.ps
echo "impose generic_f5 onto 2x1 double-sided A4"
../scripts/impose_2x1 generic_f5.ps

# create generic_a6_2x2.ps
echo "impose generic_a6 onto 2x2 double-sided A4"
../scripts/impose_2x2 generic_a6.ps

# create generic_p6_2x2.ps
echo "impose generic_p6 onto 2x2 double-sided A4"
../scripts/impose_2x2 generic_p6.ps

echo


# Create Acrobat versions for online use
########################################
echo "Create PDF online versions"

# generic_ol
echo "create generic_ol.pdf"
# add bookmarks for Chapter-level documents
awk -f ../scripts/contents.awk generic_fat.fmt >> generic_ol.ps
# add bookmarks for Section-level documents
# awk -f ../scripts/contents.awk generic_fat.fmt 2 >> generic_ol.ps
# convert to PDF
ps2pdf14 -dNOSAFER -g595x841 -r72 -dAutoRotatePages=/None -dPDFSETTINGS=/ebook generic_ol.ps generic_ol.pdf

echo "create generic_bk.pdf"
# add bookmarks
awk -f ../scripts/contents.awk generic_fat.fmt >> generic_bk.ps
ps2pdf14 -dNOSAFER -g595x841 -r72 -dAutoRotatePages=/None -dPDFSETTINGS=/ebook generic_bk.ps generic_bk.pdf

echo


# create Acrobat versions for printing without GSView/Ghostscript
#######################################
echo "Create PDF print versions"

echo "create generic_f5.pdf"
ps2pdf14 -dNOSAFER -g595x841 -r72 -dAutoRotatePages=/None -dPDFSETTINGS=/prepress generic_f5_2x1.ps generic_f5.pdf
echo "create generic_a6.pdf"
ps2pdf14 -dNOSAFER -g595x841 -r72 -dAutoRotatePages=/None -dPDFSETTINGS=/prepress generic_a6_2x2.ps generic_a6.pdf
echo "create generic_p6.pdf"
ps2pdf14 -dNOSAFER -g595x841 -r72 -dAutoRotatePages=/None -dPDFSETTINGS=/prepress generic_p6_2x2.ps generic_p6.pdf


# tidy up
# remove split .fmt files
rm -f generic_fat.fmt
rm -f generic_staff.fmt
rm -f generic_team.fmt

echo
