# awk script to extract specified page from PostScript file
# awk -f extract_page.awk <file> <page>
# k.j.beeden

BEGIN {
	page	= ARGV[2]
	ARGC	= 2
	prime	= 0
	enable	= 0
}

# Stop logic
############
# stop before trailer
{
	if ($1 == "%%Trailer")
		enable = 0
}

# stop before 'showpage'
{
	if ((enable == 1) && (($1 == "showpage") || ($1 == "%%PageTrailer")))
	{
		enable	= 0
		exit		# stop further processing
	}
}

# Extract
#########
# print enabled output
{
	if (enable == 1)
		print
}

# Start logic
#############
# start extracting after EndPageSetup of desired page
{
	if ((prime == 1) && ($1 == "%%EndPageSetup"))
	{
		enable	= 1
		prime	= 0
	}
}

# look for start of desired page
{
	if (($1 == "%%Page:") && ($2 == page))
		prime = 1
}
